> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup coupons, by keyword

> Search coupons by keyword



## OpenAPI

````yaml /openapi.yaml post /v2/pos/{posSystemId}/coupon/lookup
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /v2/pos/{posSystemId}/coupon/lookup:
    post:
      tags:
        - Coupons (v2)
      summary: Lookup coupons, by keyword
      description: Search coupons by keyword
      operationId: PosV2Coupon_LookupCoupons
      parameters:
        - name: posSystemId
          in: path
          description: POS system identifier
          required: true
          schema:
            type: string
      requestBody:
        description: Request
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PosCouponsLookupRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: ''
          application/json:
            schema:
              $ref: '#/components/schemas/PosCouponsLookupRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: ''
          text/json:
            schema:
              $ref: '#/components/schemas/PosCouponsLookupRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: ''
          application/*+json:
            schema:
              $ref: '#/components/schemas/PosCouponsLookupRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: ''
          application/xml:
            schema:
              $ref: '#/components/schemas/PosCouponsLookupRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: ''
          text/xml:
            schema:
              $ref: '#/components/schemas/PosCouponsLookupRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: ''
          application/*+xml:
            schema:
              $ref: '#/components/schemas/PosCouponsLookupRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: ''
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PosCouponsLookupResponseApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PosCouponsLookupResponseApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PosCouponsLookupResponseApiResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosCouponsLookupRequest:
      required:
        - posLocationId
      type: object
      properties:
        posLocationId:
          minLength: 1
          type: string
          description: The POS location identifier
        keyword:
          type: string
          description: Search key word for filtering coupons
          nullable: true
      additionalProperties: false
      description: Request model for looking up coupons
    PosCouponsLookupResponseApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosCouponsLookupResponse'
      additionalProperties: false
    PosCouponsLookupResponse:
      type: object
      properties:
        coupons:
          type: array
          items:
            $ref: '#/components/schemas/PosCouponDto'
          description: Coupons list
          nullable: true
      additionalProperties: false
      description: Response model for looking up coupons
    PosCouponDto:
      type: object
      properties:
        id:
          type: string
          description: Coupon unique identifier
          nullable: true
        couponImage:
          type: string
          description: Coupon image
          nullable: true
        name:
          type: string
          description: Coupon name
          nullable: true
        title:
          type: string
          description: Coupon title
          nullable: true
        subtitle:
          type: string
          description: Coupon subtitle
          nullable: true
        description:
          type: string
          description: Coupon description
          nullable: true
      additionalProperties: false
      description: Coupon data transfer object
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````